export let columns = [
  {
    title: window.$t("tariffManagement.id"),
    dataIndex: "Number",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  // { title: window.$t('tariffManagement.feeCode'), dataIndex: 'feeCode', align: 'center', width: 200 },
  {
    title: window.$t("tariffManagement.userName"),
    dataIndex: "userName",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("tariffManagement.label"),
    dataIndex: "label",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("tariffManagement.source"),
    dataIndex: "sourceName",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("tariffManagement.simDataPlanIdName"),
    dataIndex: "metadataPackagesName",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("tariffManagement.TestFlowPacketName"),
    dataIndex: "testMetadataPackagesName",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  // { title: window.$t('tariffManagement.trafficType'), dataIndex: 'trafficTypeName', align: 'center', width: 200 },
  // { title: window.$t('tariffManagement.billingType'), dataIndex: 'billingTypeName', align: 'center', width: 200 },
  {
    title: window.$t("tariffManagement.billingCycle"),
    dataIndex: "billingCycleName",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("tariffManagement.BillingMode"),
    dataIndex: "billingMethodName",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  // { title: window.$t('tariffManagement.bagSize'), dataIndex: 'bagSize', align: 'center', width: 200 },
  {
    title: window.$t("tariffManagement.pricing"),
    dataIndex: "pricingName",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  // { title: window.$t('tariffManagement.billingMethod'), dataIndex: 'billing_method', align: 'center', width: 200 },
  {
    title: window.$t("tariffManagement.ActivatedNames"),
    dataIndex: "Activated",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("tariffManagement.feeStatus"),
    dataIndex: "status",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("tariffManagement.MRCName"),
    dataIndex: "mrcAmount",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("tariffManagement.networkName"),
    dataIndex: "networkAccessFee",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("tariffManagement.endDate"),
    dataIndex: "endDate",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("global.common.operations"),
    dataIndex: "id",
    slotName: "id",
    align: "center",
    width: 180,
    fixed: "right",
  },
];


export const userClounms = [
  {
    title: window.$t("tariffManagement.id"),
    dataIndex: "Number",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("tariffManagement.label"),
    dataIndex: "label",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("tariffManagement.source"),
    dataIndex: "sourceName",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("tariffManagement.TestFlowPacketName"),
    dataIndex: "testMetadataPackagesName",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("tariffManagement.billingCycleUser"),
    dataIndex: "billingCycleName",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("tariffManagement.pricingUser"),
    dataIndex: "billingMethodName",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("tariffManagement.pricing"),
    dataIndex: "pricingName",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("tariffManagement.feeStatus"),
    dataIndex: "status",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("tariffManagement.MRCName"),
    dataIndex: "mrcAmount",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("tariffManagement.networkName"),
    dataIndex: "networkAccessFee",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("tariffManagement.endDate"),
    dataIndex: "endDate",
    align: "center",
    width: 200,
    ellipsis: true,
  },
]

// 资费套餐
export const planColumns = [
  {
    title: window.$t("tariffManagement.feeCode"),
    dataIndex: "feeCode",
    align: "center",
    width: 200,
  },
  {
    title: window.$t("tariffManagement.label"),
    dataIndex: "label",
    align: "center",
    width: 200,
  },
  {
    title: window.$t("tariffManagement.source"),
    dataIndex: "sourceName",
    align: "center",
    width: 200,
  },
  {
    title: window.$t("tariffManagement.bagSize"),
    dataIndex: "bag_size",
    align: "center",
    width: 200,
  },
];

// 资费搜索字段
export const trafficSearchFrom = [
  {
    type: "input",
    label: "客户名称",
    field: "username",
    value: "", // 双向绑定的值
  },
  {
    type: "input",
    label: "资费名称",
    field: "label",
    value: "", // 双向绑定的值
  },
  {
    type: "select",
    label: "供应商名称",
    field: "source",
    options: [], // 默认空，后面会通过字典加载
    dict: "source",
    value: "", // 双向绑定的值
    width: "200",
  },
  {
    type: "select",
    label: "计费方式",
    field: "billingMethod",
    options: [], // 默认空，后面会通过字典加载
    dict: "billingMethod",
    value: "", // 双向绑定的值
    width: "200",
  },
  {
    type: "select",
    label: "计费周期",
    field: "BillingCycle",
    options: [], // 默认空，后面会通过字典加载
    dict: "BillingCycle",
    value: "", // 双向绑定的值
    width: "200",
  },
  {
    type: "date-picker",
    label: "有效期",
    field: "endDate",
    value: "", // 双向绑定的值
    width: "200",
  },
];


export const SetMealSearchForm = [
  {
    type: "input",
    label: "套餐名称",
    field: "label",
    value: "", // 双向绑定的值
  },
  {
    type: "input",
    label: "套餐ID",
    field: "label",
    value: "", // 双向绑定的值
  },
  {
    type: "input",
    label: "所属客户",
    field: "name",
    value: "", // 双向绑定的值
  },
  {
    type: "range-picker",
    label: "创建时间",
    field: "createdAt",
    value: [], // 双向绑定的值
    width: "300",
    Custom: 'mode="month"', // 自定义值
  },
  {
    type: "select",
    label: "状态",
    field: "state",
    options: [
      { label: "上架", value: 1 },
      { label: "下架", value: 2 },
    ], // 默认空，后面会通过字典加载
    dict: "userType",
    value: "", // 双向绑定的值
    width: "200",
  },
];

export const columnsSetMeal = [
  {
    title: "序号",
    dataIndex: "index",
    align: "center",
    ellipsis: true,
    render: ({ rowIndex }) => rowIndex + 1,
  },
  {
    title: "套餐计划名称",
    dataIndex: "label",
    align: "center",
    ellipsis: true,
  },
  {
    title: "所属客户",
    dataIndex: "userName",
    align: "center",
    ellipsis: true,
  },
  {
    title: "状态",
    slotName: "status",
    align: "center",
    ellipsis: true,
  },
  {
    title: "创建时间",
    dataIndex: "createdAt",
    align: "center",
    ellipsis: true,
  },
  {
    title: "更新时间",
    dataIndex: "updatedAt",
    align: "center",
    ellipsis: true,
  },
  {
    title: "操作",
    align: "center",
    ellipsis: true,
    slotName: 'Controls',
    fixed: 'right'
  },
];


export const columnsTarrit = [
  {
    title: "序号",
    dataIndex: "index",
    align: "center",
    ellipsis: true,
    render: ({ rowIndex }) => rowIndex + 1,
  },
  {
    title: "套餐名称",
    dataIndex: "label",
    align: "center",
    ellipsis: true,
  },
  {
    title: "所属套餐计划",
    dataIndex: "terminalName",
    align: "center",
    ellipsis: true,
  },
  {
    title: "资费名称",
    dataIndex: "trafficName",
    align: "center",
    ellipsis: true,
  },
  {
    title: "套餐类型",
    dataIndex: "typeName",
    align: "center",
    ellipsis: true,
  },
  {
    title: "充值币种",
    dataIndex: "currency",
    align: "center",
    ellipsis: true,
  },
  {
    title: "原价",
    dataIndex: "oldPrice",
    align: "center",
    ellipsis: true,
  },
  {
    title: "成本",
    dataIndex: "costPrice",
    align: "center",
    ellipsis: true,
  },
  {
    title: "售价(终端充值)",
    dataIndex: "price",
    align: "center",
    ellipsis: true,
  },
  {
    title: "利润",
    dataIndex: "profitPrice",
    align: "center",
    ellipsis: true,
  },
  {
    title: "流量成本结算方式",
    dataIndex: "billingMethod",
    align: "center",
    ellipsis: true,
  },
  {
    title: "创建时间",
    dataIndex: "createdAt",
    align: "center",
    ellipsis: true,
  },
  {
    title: "更新时间",
    dataIndex: "updatedAt",
    align: "center",
    ellipsis: true,
  },
  {
    title: "状态",
    slotName: "status",
    align: "center",
    ellipsis: true,
  },
  {
    title: "操作",
    align: "center",
    slotName: 'options',
    fixed: 'right'
  },
]
