export let columns = [
  {
    title: window.$t("tariffManagement.id"),
    dataIndex: "Number",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  // { title: window.$t('tariffManagement.feeCode'), dataIndex: 'feeCode', align: 'center', width: 200 },
  {
    title: window.$t("tariffManagement.userName"),
    dataIndex: "userName",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("tariffManagement.label"),
    dataIndex: "label",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("tariffManagement.source"),
    dataIndex: "sourceName",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("tariffManagement.simDataPlanIdName"),
    dataIndex: "metadataPackagesName",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("tariffManagement.TestFlowPacketName"),
    dataIndex: "testMetadataPackagesName",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  // { title: window.$t('tariffManagement.trafficType'), dataIndex: 'trafficTypeName', align: 'center', width: 200 },
  // { title: window.$t('tariffManagement.billingType'), dataIndex: 'billingTypeName', align: 'center', width: 200 },
  {
    title: window.$t("tariffManagement.billingCycle"),
    dataIndex: "billingCycleName",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("tariffManagement.BillingMode"),
    dataIndex: "billingMethodName",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  // { title: window.$t('tariffManagement.bagSize'), dataIndex: 'bagSize', align: 'center', width: 200 },
  {
    title: window.$t("tariffManagement.pricing"),
    dataIndex: "pricingName",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  // { title: window.$t('tariffManagement.billingMethod'), dataIndex: 'billing_method', align: 'center', width: 200 },
  {
    title: window.$t("tariffManagement.ActivatedNames"),
    dataIndex: "Activated",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("tariffManagement.feeStatus"),
    dataIndex: "status",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("tariffManagement.MRCName"),
    dataIndex: "mrcAmount",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("tariffManagement.networkName"),
    dataIndex: "networkAccessFee",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("tariffManagement.endDate"),
    dataIndex: "endDate",
    align: "center",
    width: 200,
    ellipsis: true,
  },
];
// 资费套餐
export const planColumns = [
  {
    title: window.$t("tariffManagement.feeCode"),
    dataIndex: "feeCode",
    align: "center",
    width: 200,
  },
  {
    title: window.$t("tariffManagement.label"),
    dataIndex: "label",
    align: "center",
    width: 200,
  },
  {
    title: window.$t("tariffManagement.source"),
    dataIndex: "sourceName",
    align: "center",
    width: 200,
  },
  {
    title: window.$t("tariffManagement.bagSize"),
    dataIndex: "bag_size",
    align: "center",
    width: 200,
  },
];

// 资费搜索字段
export const trafficSearchFrom = [
  {
    type: "input",
    label: "客户名称",
    field: "username",
    value: "", // 双向绑定的值
  },
  {
    type: "input",
    label: "资费名称",
    field: "label",
    value: "", // 双向绑定的值
  },
  {
    type: "select",
    label: "供应商名称",
    field: "source",
    options: [], // 默认空，后面会通过字典加载
    dict: "source",
    value: "", // 双向绑定的值
    width: "200",
  },
  {
    type: "select",
    label: "计费方式",
    field: "billingMethod",
    options: [], // 默认空，后面会通过字典加载
    dict: "billingMethod",
    value: "", // 双向绑定的值
    width: "200",
  },
  {
    type: "select",
    label: "计费周期",
    field: "BillingCycle",
    options: [], // 默认空，后面会通过字典加载
    dict: "BillingCycle",
    value: "", // 双向绑定的值
    width: "200",
  },
  {
    type: "date-picker",
    label: "有效期",
    field: "endDate",
    value: "", // 双向绑定的值
    width: "200",
  },
];



// 流量池
export const columnsFlow = [
  { title: window.$t('flowPool.poolNumber'), dataIndex: 'id', align: 'center', ellipsis:true,width: 50 },
  { title: '池类型', dataIndex: 'trafficPoolType', align: 'center', ellipsis:true,width: 50 },
  { title: window.$t('flowPool.label'), dataIndex: 'label', align: 'center', width: 200 ,tooltip:true,ellipsis:true},
  { title: window.$t('flowPool.trafficPoolStatus'), slotName: 'status', align: 'center', width: 200 ,tooltip:true,ellipsis:true},
  { title: window.$t('flowPool.source'), dataIndex: 'sourceName', align: 'center', width: 200 ,tooltip:true,ellipsis:true},
  { title: window.$t('flowPool.tariffName'), dataIndex: 'simTariffName', align: 'center', width: 200 ,tooltip:true,ellipsis:true},
  { title:'池大小', dataIndex: 'size', align: 'center', width: 200 ,tooltip:true,ellipsis:true},
  { title: window.$t('flowPool.ActivatedName'),dataIndex:'Activated', align: 'center', width: 200 ,tooltip:true,ellipsis:true},
  { title: window.$t('flowPool.HaveBeenUsedName'), dataIndex: 'HaveBeenUsed', align: 'center', width: 200 ,tooltip:true,ellipsis:true},
  { title: window.$t('flowPool.updated_at'), dataIndex: 'updatedAt', align: 'center', width: 200,tooltip:true,ellipsis:true },
]


export const SearchFormList = [
  {
    type: "input",
    label: "流量池名称",
    field: "label",
    value: "", // 双向绑定的值
  },
  {
    type: "select",
    label: "流量池状态",
    field: "status",
    options: [], // 默认空，后面会通过字典加载
    dict: "trafficPacketStatus",
    value: "", // 双向绑定的值
    width: "200",
  },
  {
    type: "select",
    label: "运营商名称",
    field: "source",
    options: [], // 默认空，后面会通过字典加载
    dict: "source",
    value: "", // 双向绑定的值
    width: "200",
  },
  {
    type: "input",
    label: "资费名称",
    field: "tariffName",
    value: "", // 双向绑定的值
  },
  {
    type: "range-picker",
    label: "更新日期",
    field: "updatedAt",
    value: "", // 双向绑定的值
    width: "240",
  },
];

